%   The codes return the 3rd moment of the queue size
%   of the fBm queues from the paper:
%   Statistical characteristics of queue with fractional Brownian motion input
function [ m3 ] = fbmqSize3mon( mu, sigma12, h )
alpha=(1-h)^(2*h-2)*(abs(mu))^(2*h)/(2*h^(2*h)*sigma12);
part1=gamma((2*h+1)/(2*h*(1-h)))/gamma(0.5/h);
part2=2*(gamma(1/(2*h*(1-h)))/gamma(0.5/h))^3;
part3=3*gamma((h+1)/(2*h*(1-h)))*gamma(1/(2*h*(1-h)))/gamma(0.5/h)/gamma(0.5/h);
m3=alpha^(3/(2*h-2))*(part1+part2-part3);
end

